## bless 0.6.3

=== meson_options.txt ===
option('user_doc',
       type: 'boolean', value: true,
       description: 'Build and install docbook user documentation')

option('html_user_doc',
       type: 'boolean', value: true,
       description: 'Build and install HTML user documentation (requires xsltproc and stylesheets)')

option('tests',
       type: 'boolean', value: true,
       description: 'Build tests (requires nunit)')

option('run_tests',
       type: 'boolean', value: true,
       description: 'Whether to run tests (requires nunit-console)')

## bless 0.6.0

=== debian/changelog ===
bless (0.6.0-5) unstable; urgency=low

  * [6357a2e] Convert from CBDS to DH7

 -- Jo Shields <jo.shields@xamarin.com>  Wed, 09 Sep 2015 14:49:08 +0100

bless (0.6.0-4) unstable; urgency=low

  * No-change rebuild against CLR 4.0

 -- Iain Lane <laney@debian.org>  Mon, 16 Jan 2012 23:53:48 +0000

bless (0.6.0-3) unstable; urgency=low

  [ Julian Taylor ]
  * [9a79f6b] initial upstream branch
  * [928e04c] Imported Upstream version 0.6.0
  * [2e9be89] add patch to replace gmcs usage with mono-csc
  * [c7ca053] update Vcs-* fields to point to git

  [ Iain Lane ]
  * [e720c76] Update to use my d.o email address

 -- Jo Shields <directhex@apebox.org>  Thu, 16 Jun 2011 20:02:20 +0100

bless (0.6.0-2) unstable; urgency=low

  * debian/control,
    debian/rules:
    + Use mono-devel 2.4.3 and mono-csc from inside (Closes: #562263)
  * debian/control:
    + Update build-depends for -cil-dev transition

 -- Jo Shields <directhex@apebox.org>  Wed, 06 Jan 2010 14:52:46 +0000

bless (0.6.0-1) unstable; urgency=low

  [ Iain Lane ]
  * Adopt into pkg-cli-apps team (Closes: #513631, #460540)
  * New upstream release 0.6.0
  * Add myself to Uploaders
  * debian/rules: Don't remove so many upstream docs
  * debian/rules: Add get-orig-source target
  * debian/post{inst,rm}: Drop, not needed
  * debian/control: Allow rarian-compat to be used as an alternative to
    scrollkeeper, since it provides scrollkeeper and the two conflict.

  [ Mirco Bauer ]
  * Upload to unstable.

 -- Iain Lane <laney@ubuntu.com>  Thu, 05 Mar 2009 23:30:27 +0100

bless (0.5.2-2) experimental; urgency=low

  * Roll up and update previous NMU patches
  * debian/control,
    debian/rules:
    + Update build for Mono 2.0 transition
  * debian/control:
    + Bump standards version to 3.8.0 (no changes)
    + Add Vcs-* fields

 -- Jo Shields <directhex@apebox.org>  Mon, 15 Dec 2008 21:38:51 +0000

bless (0.5.2-1.2) unstable; urgency=low

  * Non-maintainer upload for RC bug.
  * Fix FTBFS with a patch from Chris Lamb (Closes: #475208).

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 19 Apr 2008 07:48:51 +0200

bless (0.5.2-1.1) unstable; urgency=low

  * Non-maintainer upload from BSP Zurich.
  * Adding missing build-depends to libmono2.0-cil (Closes: #458650).

 -- Daniel Baumann <daniel@debian.org>  Sun, 13 Jan 2008 14:33:00 +0100

bless (0.5.2-1) unstable; urgency=low

  * New upstream release

 -- Emmanuel Fleury <emmanuel.fleury@labri.fr>  Thu, 06 Sep 2007 09:24:31 +0200

bless (0.5.1-1) unstable; urgency=low

   * Initial release (Closes: #422509)
   * i18n: Dirty hack to make it work (temporary)
   * Patching: Merging few of necessary patches from the main repository to
     get the package accepted (so this isn't a 'pure' 0.5.1 release (will
     disappear for next release).

 -- Emmanuel Fleury <emmanuel.fleury@labri.fr>  Thu, 02 Aug 2007 12:18:03 +0200

=== debian/control ===
Source: bless
Section: editors
Priority: optional
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               pkg-config,
               rarian-compat | scrollkeeper
Build-Depends-Indep: cli-common-dev (>= 0.4.4),
                     mono-devel (>= 2.4.3),
                     libglib2.0-cil-dev,
                     libgtk2.0-cil-dev,
                     libglade2.0-cil-dev
Standards-Version: 3.8.3
Homepage: http://home.gna.org/bless/
Vcs-Git: git://git.debian.org/pkg-cli-apps/packages/bless.git
Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/bless.git

Package: bless
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}, rarian-compat | scrollkeeper
Description: A full featured hexadecimal editor
 Bless is a binary (hex) editor, a program that enables you to edit files
 as a sequence of bytes written for the GNOME Desktop. Main features are:
 .
   * Efficient editing of large data files.
   * Multilevel undo - redo operations.
   * Customizable data views.
   * Fast data rendering on screen.
   * Multiple Tabs.
   * Fast Find and Replace operations.
   * Conversion Table.
   * Advanced Copy/Paste capabilities.
   * Multi-threaded search and save operations.
   * Export to text and html (others with plugins).
   * Extensibility with Plugins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

VERSION = $(shell dpkg-parsechangelog | grep ^Vers | cut -d\  -f2)
UPVERSION = $(shell echo $(VERSION) | sed 's,-.*,,' | sed 's,+dfsg.*,,') 

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --without-scrollkeeper --disable-nls MCS=/usr/bin/mono-csc

override_dh_auto_test:
	

override_dh_install:
# remove extra doc-files
	dh_install
	rm -f $(CURDIR)/debian/bless/usr/share/doc/bless/bless.spec
	rm -f $(curdir)/debian/bless/usr/share/doc/bless/copying
	rm -f $(curdir)/debian/bless/usr/share/doc/bless/ChangeLog
	rm -f $(CURDIR)/debian/bless/usr/share/doc/bless/INSTALL
	rm -f $(CURDIR)/debian/bless/usr/share/doc/bless/README
	rm -f $(CURDIR)/debian/bless/usr/share/doc/bless/README.packaging

get-orig-source:
	[ -d ../tarballs ] || mkdir ../tarballs
	uscan \
		--force-download \
		--download-version $(UPVERSION) \
		--rename \
		--destdir ../tarballs

%:
	dh $@ --with cli

=== debian/watch ===
# watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

http://download.gna.org/bless/bless-(.*)\.tar\.gz

## bless 0.6.0-2maemo1

=== debian/changelog ===
bless (0.6.0-2maemo1) fremantle; urgency=low

  * Initial release for Maemo 5
  * Fixed bless.glade for 800x480

 -- Nikita Tsukanov <keks9n@gmail.com>  Wed, 27 Apr 2011 16:49:24 +0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: bless
 Section: editors
 Priority: optional
-Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Maintainer: Nikita Tsukanov
+Original-Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
+Build-Depends: cdbs,
+               debhelper (>= 5.0.0),
                pkg-config,
-               rarian-compat | scrollkeeper
+               rarian-compat | scrollkeeper, mono-devel, mono-gmcs
 Build-Depends-Indep: cli-common-dev (>= 0.4.4),
                      mono-devel (>= 2.4.3),
                      libglib2.0-cil-dev,
@@ -13,8 +14,8 @@
                      libglade2.0-cil-dev
 Standards-Version: 3.8.3
 Homepage: http://home.gna.org/bless/
-Vcs-Git: git://git.debian.org/pkg-cli-apps/packages/bless.git
-Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/bless.git
+Vcs-Svn: svn://svn.debian.org/svn/pkg-cli-apps/packages/bless/trunk
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-cli-apps/packages/bless/trunk/
 
 Package: bless
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

VERSION = $(shell dpkg-parsechangelog | grep ^Vers | cut -d\  -f2)
UPVERSION = $(shell echo $(VERSION) | sed 's,-.*,,' | sed 's,+dfsg.*,,') 

# Mono Shared directory redirection
export MONO_SHARED_DIR=$(CURDIR)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --without-scrollkeeper --disable-nls MCS=/usr/bin/mono-csc
DEB_MAKE_INSTALL_TARGET := install prefix=$(CURDIR)/debian/bless/usr
DEB_COMPRESS_EXCLUDE := .xmi .xml

pkgname:=$(shell basename $(CURDIR))

common-configure-indep::
	mkdir -p $(MONO_SHARED_DIR)/.wapi

binary-install/bless::
	dh_clideps -d
	dh_scrollkeeper

install/bless::
# remove extra doc-files
	rm -f $(CURDIR)/debian/bless/usr/share/doc/bless/bless.spec
	rm -f $(curdir)/debian/bless/usr/share/doc/bless/copying
	rm -f $(curdir)/debian/bless/usr/share/doc/bless/ChangeLog
	rm -f $(CURDIR)/debian/bless/usr/share/doc/bless/INSTALL
	rm -f $(CURDIR)/debian/bless/usr/share/doc/bless/README
	rm -f $(CURDIR)/debian/bless/usr/share/doc/bless/README.packaging

clean::
	rm -rf $(MONO_SHARED_DIR)/.wapi

## bless 0.6.0-2maemo2

=== debian/changelog ===
bless (0.6.0-2maemo2) fremantle; urgency=low

  * Added debian/optify and fixed the section field

 -- Nikita Tsukanov <keks9n@gmail.com>  Wed, 27 Apr 2011 17:13:14 +0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: bless
-Section: editors
+Section: user/utilities
 Priority: optional
 Maintainer: Nikita Tsukanov
 Original-Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>

## bless 0.6.0-2maemo3

=== debian/changelog ===
bless (0.6.0-2maemo3) fremantle; urgency=low

  * Removed scrollkeeper from dependencies

 -- Nikita Tsukanov <keks9n@gmail.com>  Wed, 27 Apr 2011 17:25:44 +0400

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 Package: bless
 Architecture: all
-Depends: ${cli:Depends}, ${misc:Depends}, rarian-compat | scrollkeeper
+Depends: ${cli:Depends}, ${misc:Depends}
 Description: A full featured hexadecimal editor
  Bless is a binary (hex) editor, a program that enables you to edit files
  as a sequence of bytes written for the GNOME Desktop. Main features are:

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,6 @@
 
 binary-install/bless::
 	dh_clideps -d
-	dh_scrollkeeper
 
 install/bless::
 # remove extra doc-files

## bless 0.6.3

=== debian/changelog ===
bless (0.6.3-1) unstable; urgency=medium

  [ Felix Dörre ]
  * New upstream version (Closes: #975251)
  * Adjust path for system-provided layouts (Closes: #952519)

  [ Iain Lane ]
  * Add nunit-console and itstool BDs

 -- Felix Dörre <debian@felixdoerre.de>  Sun, 20 Feb 2022 13:06:52 +0000

bless (0.6.0-7) unstable; urgency=medium

  * [9d4017b] Fix save behaviour (Closes: #850627, 767216)

 -- Jo Shields <joshield@microsoft.com>  Tue, 25 Feb 2020 14:09:28 -0500

bless (0.6.0-6) unstable; urgency=medium

  * [e96f299] Fix build on newer Mono

 -- Jo Shields <joshield@microsoft.com>  Mon, 24 Feb 2020 16:45:07 -0500

bless (0.6.0-5.1) unstable; urgency=medium

  * Don't depend on rarian. Thanks Jeremy Bicha for the patch.
    (Closes: #885114)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Fri, 26 Oct 2018 10:11:11 -0400

=== debian/control ===
Source: bless
Section: editors
Priority: optional
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>
Build-Depends: debhelper (>= 11),
               pkg-config,
Build-Depends-Indep: cli-common-dev (>= 0.8~),
                     mono-devel (>= 2.4.3),
                     nunit-console,
                     itstool,
                     libglib2.0-cil-dev,
                     libgtk2.0-cil-dev,
                     libglade2.0-cil-dev,
                     meson
Standards-Version: 4.6.0
Homepage: https://github.com/afrantzis/bless
Vcs-Git: https://salsa.debian.org/dotnet-team/bless.git
Vcs-Browser: https://salsa.debian.org/dotnet-team/bless

Package: bless
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}
Description: Full featured hexadecimal editor
 Bless is a binary (hex) editor, a program that enables you to edit files
 as a sequence of bytes written for the GNOME Desktop. Main features are:
 .
   * Efficient editing of large data files.
   * Multilevel undo - redo operations.
   * Customizable data views.
   * Fast data rendering on screen.
   * Multiple Tabs.
   * Fast Find and Replace operations.
   * Conversion Table.
   * Advanced Copy/Paste capabilities.
   * Multi-threaded search and save operations.
   * Export to text and html (others with plugins).
   * Extensibility with Plugins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- --libdir=/usr/lib -Dhtml_user_doc=false

override_dh_auto_test:

override_dh_install:
# remove extra doc-files
	dh_install
	rm -f $(CURDIR)/debian/bless/usr/share/doc/bless/bless.spec
	rm -f $(curdir)/debian/bless/usr/share/doc/bless/COPYING
	rm -f $(curdir)/debian/bless/usr/share/doc/bless/ChangeLog
	rm -f $(CURDIR)/debian/bless/usr/share/doc/bless/INSTALL
	rm -f $(CURDIR)/debian/bless/usr/share/doc/bless/README
	rm -f $(CURDIR)/debian/bless/usr/share/doc/bless/README.packaging

override_dh_compress:
	dh_compress -X usr/share/doc/bless/user

%:
	dh $@ --with cli

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/bless-$1\.tar\.gz/ \
  https://github.com/afrantzis/bless/tags .*/v?(\d\S+)\.tar\.gz
